%define name foobillard
%define version 0.8
%define release 1mdk
%define summary OpenGl billard game

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.geocities.com/harpin_floh/mysoft/%{name}-%{version}.tar.bz2
License: GPL
Group: Games/Sports
Patch0: foobillard-add-datadir.patch.bz2
URL: http://www.geocities.com/harpin_floh/foobillard_page.html
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: XFree86-devel libMesaGLU-devel libMesaglut-devel libpng-devel zlib-devel
%description
A free OpenGl billard game for linux.

%prep
%setup -q -n %{name}
%patch0 -p0

%build
perl -pi -e "s|^CFLAGS.*|CFLAGS = $RPM_OPT_FLAGS -fno-fast-math|" makefile
perl -pi -e "s|\@DATADIR\@|\"%{_datadir}/%{name}\"|" *.c
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 foobillard $RPM_BUILD_ROOT%{_bindir}
install -m 644 *.png $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{_datadir}/*

%changelog
* Thu Mar  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8-1mdk
- first mdk package
